menu.c File Reference

definitions to build menus (code) More...

Go to the source code of this file.

## Functions

bool | menu_handle_command (const char *line, const struct menu_command_t *command_list, size_t command_list_length)
| parse command from line and call corresponding command More...
void | menu_print_commands (const struct menu_command_t *command_list, size_t command_list_length)
| print the commands from the command list More...

## Detailed Description

definitions to build menus (code)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2018

Definition in file menu.c.

## Function Documentation

## menu_handle_command()

bool menu_handle_command | ( | const char * | line,
|  | const struct menu_command_t * | command_list,
|  | size_t | command_list_length
| ) |  |

parse command from line and call corresponding command

Parameters

  [in] | line | use input to parse
  [in] | command_list | list of available commands
  [in] | command_list_length | number of available commands

Returns
  if an command corresponding to the line has been found and called

Definition at line 30 of file menu.c.

## menu_print_commands()

void menu_print_commands | ( | const struct menu_command_t * | command_list,
|  | size_t | command_list_length
| ) |  |

print the commands from the command list

Parameters

  [in] | command_list | list of available commands
  [in] | command_list_length | number of available commands

Definition at line 103 of file menu.c.